<?xml version="1.0" encoding="Windows-1251"?>
<!--Центральный Банк Российской Федерации.
Унифицированные форматы электронных банковских сообщений.

Схемы с описанием прикладных частей электроных сообщений, используемых в расчетной сети Банка России.

январь 2016  г.-->
<!--e-mail:  65GuryevVA@cbr.ru-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ed="urn:cbr-ru:ed:v2.0" xmlns:lt="urn:cbr-ru:ed:leaftypes:v2.0" targetNamespace="urn:cbr-ru:ed:v2.0" elementFormDefault="qualified" attributeFormDefault="unqualified" version="2016.2.1">
	<xs:include schemaLocation="cbr_ed_objects_v2016.2.0.xsd"/>
	<xs:import namespace="urn:cbr-ru:ed:leaftypes:v2.0" schemaLocation="cbr_ed_leaftypes_v2016.2.0.xsd"/>
	<xs:annotation>
		<xs:documentation>Локальные прикладные объекты</xs:documentation>
	</xs:annotation>
	<xs:complexType name="InfoType">
		<xs:annotation>
			<xs:documentation>Дополнительная информация о состоянии объекта данных</xs:documentation>
		</xs:annotation>
		<xs:attribute name="Type" use="required">
			<xs:annotation>
				<xs:documentation>Тип информационного сообщения</xs:documentation>
			</xs:annotation>
		  <xs:simpleType>
		  <xs:restriction base="lt:OneDigitCodeType">
			<xs:enumeration value="1">
				<xs:annotation><xs:documentation>Уведомление</xs:documentation></xs:annotation>
			</xs:enumeration>
			<xs:enumeration value="2">
				<xs:annotation><xs:documentation>Предупреждение</xs:documentation></xs:annotation>
			</xs:enumeration>
			<xs:enumeration value="3">
				<xs:annotation><xs:documentation>Ошибка</xs:documentation></xs:annotation>
			</xs:enumeration>
		  </xs:restriction>
		  </xs:simpleType>
		</xs:attribute>
		<xs:attribute name="Text" type="lt:Max512TextContentType" use="required">
			<xs:annotation>
				<xs:documentation>Текст сообщения</xs:documentation>
			</xs:annotation>
		</xs:attribute>
	</xs:complexType>
	<xs:complexType name="NotificationType">
		<xs:annotation>
			<xs:documentation>Уведомление</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="Info" type="ed:InfoType" minOccurs="0" maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>Дополнительная информация о состоянии объекта данных</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
		<xs:attribute name="DateTime" type="lt:DateTimeType" use="required">
			<xs:annotation>
				<xs:documentation>Дата и время формирования уведомления</xs:documentation>
			</xs:annotation>
		</xs:attribute>
		<xs:attribute name="DataType" type="lt:OneDigitCodeType" use="required">
			<xs:annotation>
				<xs:documentation>Тип объекта данных, для которого сформировано уведомление</xs:documentation>
			</xs:annotation>
		</xs:attribute>
		<xs:attribute name="DataId" use="required">
			<xs:annotation>
				<xs:documentation>Идентификатор объекта данных, для которого сформировано уведомление</xs:documentation>
			</xs:annotation>
			  <xs:simpleType>
				<xs:annotation>
					<xs:documentation>Идентификатор объекта данных, для которого сформировано уведомление</xs:documentation>
				</xs:annotation>
				<xs:restriction base="lt:UniversalIDType">
					<xs:maxLength value="21"/>
				</xs:restriction>
			  </xs:simpleType>
		</xs:attribute>
		<xs:attribute name="Status" use="required">
			<xs:annotation>
				<xs:documentation>Состояние объекта данных</xs:documentation>
			</xs:annotation>
			  <xs:simpleType>
			  <xs:restriction base="lt:OneDigitCodeType">
				<xs:enumeration value="0">
					<xs:annotation><xs:documentation>Успешно принят получателем</xs:documentation></xs:annotation>
				</xs:enumeration>
				<xs:enumeration value="1">
					<xs:annotation><xs:documentation>Отказано в дальнейшей обработке (транспортировкe)</xs:documentation></xs:annotation>
				</xs:enumeration>
				<xs:enumeration value="2">
					<xs:annotation><xs:documentation>Находится в процессе обработки (транспортировки)</xs:documentation></xs:annotation>
				</xs:enumeration>
			  </xs:restriction>
			  </xs:simpleType>
		</xs:attribute>
	</xs:complexType>
	<xs:annotation>
		<xs:documentation>Прикладные части ЭС</xs:documentation>
	</xs:annotation>
	<xs:element name="ED461" type="ed:ED461"/>
	<xs:complexType name="ED461">
		<xs:annotation>
			<xs:documentation>Уведомление</xs:documentation>
		</xs:annotation>
      		<xs:complexContent>
         		<xs:extension base="ed:ESID">
            			<xs:sequence>
               				<xs:element name="Notification" type="ed:NotificationType" minOccurs="1">
                  				<xs:annotation>
                     					<xs:documentation>Уведомление</xs:documentation>
                  				</xs:annotation>
               				</xs:element>
					<xs:element name="EDRefID" type="ed:EDRefID" minOccurs="1">
						<xs:annotation>
							<xs:documentation>Идентификаторы исходного ЭС</xs:documentation>
						</xs:annotation>
					</xs:element>
            			</xs:sequence>
         		</xs:extension>
      		</xs:complexContent>
	</xs:complexType>
</xs:schema>


